Mailbox
Move or mark a conversation
Folder and labels are shared with the dashboard. read sets the agent’s own read state; members keep theirs in the dashboard.
PATCH
/
api
/
v1
/
threads
/
{threadId}
Move or mark a conversation
curl --request PATCH \
--url https://agent-loadout.com/api/v1/threads/{threadId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"read": true,
"labels": [
"<string>"
],
"add_labels": [
"<string>"
],
"remove_labels": [
"<string>"
]
}
'import requests
url = "https://agent-loadout.com/api/v1/threads/{threadId}"
payload = {
"read": True,
"labels": ["<string>"],
"add_labels": ["<string>"],
"remove_labels": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
read: true,
labels: ['<string>'],
add_labels: ['<string>'],
remove_labels: ['<string>']
})
};
fetch('https://agent-loadout.com/api/v1/threads/{threadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent-loadout.com/api/v1/threads/{threadId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'read' => true,
'labels' => [
'<string>'
],
'add_labels' => [
'<string>'
],
'remove_labels' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent-loadout.com/api/v1/threads/{threadId}"
payload := strings.NewReader("{\n \"read\": true,\n \"labels\": [\n \"<string>\"\n ],\n \"add_labels\": [\n \"<string>\"\n ],\n \"remove_labels\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://agent-loadout.com/api/v1/threads/{threadId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"read\": true,\n \"labels\": [\n \"<string>\"\n ],\n \"add_labels\": [\n \"<string>\"\n ],\n \"remove_labels\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent-loadout.com/api/v1/threads/{threadId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"read\": true,\n \"labels\": [\n \"<string>\"\n ],\n \"add_labels\": [\n \"<string>\"\n ],\n \"remove_labels\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"thread_id": "<string>",
"folder": "inbox",
"read_side": "<string>",
"read_at": "2023-11-07T05:31:56Z",
"agent_read_at": "2023-11-07T05:31:56Z",
"member_read_at": "2023-11-07T05:31:56Z",
"labels": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}Authorizations
agentTokenorganizationKey
Body
application/json
Response
Thread state
⌘I
Move or mark a conversation
curl --request PATCH \
--url https://agent-loadout.com/api/v1/threads/{threadId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"read": true,
"labels": [
"<string>"
],
"add_labels": [
"<string>"
],
"remove_labels": [
"<string>"
]
}
'import requests
url = "https://agent-loadout.com/api/v1/threads/{threadId}"
payload = {
"read": True,
"labels": ["<string>"],
"add_labels": ["<string>"],
"remove_labels": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
read: true,
labels: ['<string>'],
add_labels: ['<string>'],
remove_labels: ['<string>']
})
};
fetch('https://agent-loadout.com/api/v1/threads/{threadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent-loadout.com/api/v1/threads/{threadId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'read' => true,
'labels' => [
'<string>'
],
'add_labels' => [
'<string>'
],
'remove_labels' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent-loadout.com/api/v1/threads/{threadId}"
payload := strings.NewReader("{\n \"read\": true,\n \"labels\": [\n \"<string>\"\n ],\n \"add_labels\": [\n \"<string>\"\n ],\n \"remove_labels\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://agent-loadout.com/api/v1/threads/{threadId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"read\": true,\n \"labels\": [\n \"<string>\"\n ],\n \"add_labels\": [\n \"<string>\"\n ],\n \"remove_labels\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent-loadout.com/api/v1/threads/{threadId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"read\": true,\n \"labels\": [\n \"<string>\"\n ],\n \"add_labels\": [\n \"<string>\"\n ],\n \"remove_labels\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"thread_id": "<string>",
"folder": "inbox",
"read_side": "<string>",
"read_at": "2023-11-07T05:31:56Z",
"agent_read_at": "2023-11-07T05:31:56Z",
"member_read_at": "2023-11-07T05:31:56Z",
"labels": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}